KDE 4.9 PyKDE API Reference

- KDE's Python API

# AccessManager Class Reference

`from PyKDE4.plasma import *`

Inherits: QObject
Namespace: Plasma

## Detailed Description

AccessManager plasma/accessmanager.h <Plasma/AccessManager>

Allows access to remote Plasma.Applet classes.

This manager provides a way to access an applet (either a binary or packaged one) that is hosted on another machine. It also provides a mechanism to discover services announced to the network through zeroconf.

Since:
  4.4

## Signals

| finished (Plasma.AccessAppletJob a0)
| remoteAppletAnnounced (Plasma.PackageMetadata metadata)
| remoteAppletUnannounced (Plasma.PackageMetadata metadata)

## Methods

| __init__ (self)
Plasma.AccessAppletJob | accessRemoteApplet (self, KUrl location)
[Plasma.PackageMetadata] | remoteApplets (self)

## Static Methods

Plasma.AccessManager | self ()
QStringList | supportedProtocols ()

## Signal Documentation

finished | ( | Plasma.AccessAppletJob | a0
| ) |  |  |

fires when an AccessAppletJob is finished.

Signal syntax:
  `QObject.connect(source, SIGNAL("finished(Plasma::AccessAppletJob*)"), target_slot)`

remoteAppletAnnounced | ( | Plasma.PackageMetadata | metadata
| ) |  |  |

fires when a new applet is announced on the network.

Signal syntax:
  `QObject.connect(source, SIGNAL("remoteAppletAnnounced(Plasma::PackageMetadata)"), target_slot)`

remoteAppletUnannounced | ( | Plasma.PackageMetadata | metadata
| ) |  |  |

fires when an announced applet disappears from the network.

Signal syntax:
  `QObject.connect(source, SIGNAL("remoteAppletUnannounced(Plasma::PackageMetadata)"), target_slot)`

## Method Documentation

__init__ | ( |  | self ) |

Plasma.AccessAppletJob accessRemoteApplet | ( | self, |
|  | KUrl | location
| ) |  |  |

Access a native plasmoid hosted on another machine.

Parameters:

  | location | the location of the remote plasmoids. Exmples of valid urls: plasma://ip:port/resourceName zeroconf://PlasmoidName

Returns:
  a job that can be used to track when a remote plasmoid is ready for use, and to obtain the applet when the package is sent over.

[Plasma.PackageMetadata] remoteApplets | ( |  | self ) |

Returns:
  a list of applets that are announced on the network through zeroconf. Use the remoteLocation() function in PackageMetadata to obtain an url to pass to accessRemoteApplet in AccessManager if you want to access one of these applets.

## Static Method Documentation

Plasma.AccessManager self | ( |  | ) |

Singleton pattern accessor.

QStringList supportedProtocols | ( |  | ) |

Returns:
  a list of supported protocols of urls that can be passed to accessRemoteApplet.